# Uses of Class
javafx.scene.chart.XYChart

Packages that use XYChart
Package
Description
javafx.scene.chart
The JavaFX User Interface provides a set of chart components that are a very convenient way for data visualization.

## Uses of XYChart in javafx.scene.chart

Subclasses of XYChart in javafx.scene.chart
Modifier and Type
Class
Description
`class`
`AreaChart<X,Y>`
AreaChart - Plots the area between the line that connects the data points and the 0 line on the Y axis.
`class`
`BarChart<X,Y>`
A chart that plots bars indicating data values for a category.
`class`
`BubbleChart<X,Y>`
Chart type that plots bubbles for the data points in a series.
`class`
`LineChart<X,Y>`
Line Chart plots a line connecting the data points in a series.
`class`
`ScatterChart<X,Y>`
Chart type that plots symbols for the data points in a series.
`class`
`StackedAreaChart<X,Y>`
StackedAreaChart is a variation of `AreaChart` that displays trends of the contribution of each value.
`class`
`StackedBarChart<X,Y>`
StackedBarChart is a variation of `BarChart` that plots bars indicating data values for a category.
Methods in javafx.scene.chart that return XYChart
Modifier and Type
Method
Description
`final XYChart<X,Y>`
XYChart.Series.`getChart()`
Gets the value of the `chart` property.
Methods in javafx.scene.chart that return types with arguments of type XYChart
Modifier and Type
Method
Description
`final ReadOnlyObjectProperty<XYChart<X,Y>>`
XYChart.Series.`chartProperty()`
Reference to the chart this series belongs to